Results 1 to 5 of 5
  1. #1

    php lighstreamer : PHP Fatal error : Class 'Thread' not found

    hi,

    I'm trying to run php helloworld.php (in command mode) and I got this error message :

    PHP Fatal error : Class 'Thread' not found

    I don't see any class Thread in files in..\Lightstreamer\adapters\remote\ directory ..?

    Any idea to fix this error ?

    thank you for your help
    Last edited by kimi; April 5th, 2015 at 07:56 AM.

  2. #2

    Following

    hi,

    Forgot to install pthreads.dll module.

    Unfortunately I got this error message:

    PHP Startup ptrhreads: unable to initialize module.
    Module compile with module API=20131226
    PHP compiled with module API=20121212
    These options need to match.

    and I can't find online any pthreads.dll module (compiled API=20121212)

    Do you know any website that can help me to find the right compiled module ?

    thanks for your help

    Quote Originally Posted by kimi View Post
    hi,

    I'm trying to run php helloworld.php (in command mode) and I got this error message :

    PHP Fatal error : Class 'Thread' not found

    I don't see any class Thread in files in..\Lightstreamer\adapters\remote\ directory ..?

    Any idea to fix this error ?

    thank you for your help

  3. #3
    Administrator
    Join Date
    Feb 2008
    Location
    Siracusa
    Posts
    147
    Hi kimi,

    could you please provide us with detailed information about your php environment? Simply run the command from a prompt:

    php -i

    and report here the following lines:

    PHP Version
    Architecture
    PHP API
    PHP Extension
    PHP Extension Build
    Thread Safety

    As already explained in the GitHub pages, both PHP demos have been successfully tested on the following environments:

    • Windows 7 and 8, with PHP version VC 11 Thread Safe for X86 and pthreed module version 2.0.10-5.6-ts-vc11
    • Ubuntu Linux version 14.10, with PHP version 5.6.5 (compiled with the --enable-maintainer-zts flag) and pthread module version 2.0.10, installed as a pecl extension.


    Furthermore, here you can find a complete list of all downloadable pthread modules, but it is important to download and install the right module according to the PHP installation.

    Please get back to us for any further clarification.

    Regards,
    Gianluca

  4. #4
    hi,

    Here's the informations :

    PHP Version 5.2.16
    Architecture=x86
    PHP API=20041225
    PHP Extension=20060613
    Thread Safety=enabled


    It's a tomcat installation with php:

    I've followed the installation procedure below:
    https://joseluisbz.wordpress.com/201...h-tomcat-only/

  5. #5
    Administrator
    Join Date
    Feb 2008
    Location
    Siracusa
    Posts
    147
    Hi Kimi,

    in a Windows environments, both demos have been tested with PHP version 5.6.5.
    Is there any chance you can upgrade your PHP platform?

    Regards,
    Gianluca

 

 

Similar Threads

  1. Failure to connect, "/null not found"
    By mbenson in forum Client APIs
    Replies: 2
    Last Post: March 17th, 2014, 12:59 PM
  2. Replies: 1
    Last Post: January 31st, 2011, 08:47 AM
  3. Replies: 4
    Last Post: February 5th, 2010, 04:12 PM
  4. Replies: 2
    Last Post: November 6th, 2007, 05:13 AM
  5. Replies: 7
    Last Post: September 21st, 2007, 11:47 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
All times are GMT +1. The time now is 12:46 PM.